POST
/voice-connectors/{voiceConnectorId}/proxy-sessions/{proxySessionId}
http://service.chime.aws.amazon.com/voice-connectors/{voiceConnectorId}/proxy-sessions/{proxySessionId}Updates the specified proxy session details, such as voice or SMS capabilities.
Access Token Required: API Key
Path Parameters
voiceConnectorIdstringrequired
The Amazon Chime voice connector ID.
proxySessionIdstringrequired
The proxy session ID.
Body Params
Capabilitiesarrayrequired
The proxy session capabilities.
ExpiryMinutesinteger
The number of minutes allowed for the proxy session.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://service.chime.aws.amazon.com/voice-connectors/{voiceConnectorId}/proxy-sessions/{proxySessionId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}